classification
Title: Reference to non-existent __version__ in ast module
Type: behavior Stage:
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: aronacher Nosy List: aronacher, georg.brandl, orestis
Priority: normal Keywords:

Created on 2008-10-06 23:28 by orestis, last changed 2008-10-21 02:42 by benjamin.peterson. This issue is now closed.

Messages (2)
msg74413 - (view) Author: Orestis Markou (orestis) Date: 2008-10-06 23:28
The docs for the ast module refer to a __version__ number, that should track the 
Subversion id. 

However, this doesn't exist:

>>>import ast
>>>ast.__version__
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute '__version__'

Looking at ast.py, nothing of that sort is there in the first place.
msg75010 - (view) Author: Armin Ronacher (aronacher) * (Python committer) Date: 2008-10-20 21:29
Fixed in changeset 66984.
History
Date User Action Args
2008-10-21 02:42:16benjamin.petersonsetstatus: open -> closed
2008-10-20 21:29:23aronachersetresolution: fixed
messages: + msg75010
2008-10-20 21:21:53benjamin.petersonsetassignee: georg.brandl -> aronacher
nosy: + aronacher
2008-10-06 23:28:01orestiscreate